package jp.co.powerbeans.common;

import java.text.SimpleDateFormat;
import java.util.Date;

public final class ChkConv {

	private static final SimpleDateFormat SL_NOZERO_DATE_FORMAT = new SimpleDateFormat("yyyy/M/d");
	private static final SimpleDateFormat SL_DATE_FORMAT = new SimpleDateFormat("yyyy/MM/dd");
	private static final SimpleDateFormat HFUN_DATE_FORMAT = new SimpleDateFormat("yyyy-MM-dd");
	
	/**
	 * 日付を yyyy/MM/dd 形式で返す
	 * @param date 日付
	 * @return 変換文字列
	 */
	public static String toString(Date date) {
		return date == null ? "" : SL_DATE_FORMAT.format(date);
	}
	/**
	 * 日付を yyyy/M/d 形式で返す
	 * @param date 日付
	 * @return 変換文字列
	 */
	public static String toStringNoZero(Date date) {
		return date == null ? "" : SL_NOZERO_DATE_FORMAT.format(date);
	}
	
	/**
	 * 日付を yyyy-MM-dd 形式で返す
	 * @param date 日付
	 * @return 変換文字列
	 */
	public static String toStringHFun(Date date) {
		return date == null ? "" : HFUN_DATE_FORMAT.format(date);
	}
}
