package jp.co.powerbeans.vbscore;

/**
 * コマンド名定義クラス.
 * 複数の画面で共通のコマンドを定義
 * @author amonden
 *
 */
public final class CMD {
	
	/**
	 * 追加
	 */
	public static final String ADD = "add";
	/**
	 * 削除
	 */
	public static final String DEL = "del";
	/**
	 * 編集
	 */
	public static final String EDIT = "edit";
	/**
	 * プレイヤー管理
	 */
	public static final String PLAYER_MANAGE = "player_manage";
	/**
	 * OK
	 */
	public static final String OK = "ok";
	/**
	 * 終了
	 */
	public static final String EXIT = "exit";
	/**
	 * セット終了
	 */
	public static final String SET_COMPLETE = "set_complete";
	/**
	 * 分析
	 */
	public static final String ANALYZE = "analyze";
	/**
	 * ヘルプ
	 */
	public static final String HELP = "help";
	/**
	 * キャンセル
	 */
	public static final String CANCEL = "cancel";
	/**
	 * なし
	 */
	public static final String NONE = "none";
	/**
	 * （コンボ等の）選択値変更時
	 */
	public static final String SEL_CHANGE = "sel_change";
	/**
	 * 次へ
	 */
	public static final String NEXT = "next";
	/**
	 * テーブル等を1行選択
	 */
	public static final String SEL1ROW = "sel1row";
	/**
	 * 戻る
	 */
	public static final String BACK = "back";
	/**
	 * プレイ１
	 */
	public static final String PLAY1 = "play1";
	/**
	 * アクション選択
	 */
	public static final String SEL_ACTION = "sel_action";
	/**
	 * 選手選択
	 */
	public static final String SEL_PLAYER = "sel_player";
	/**
	 * 選手変更
	 */
	public static final String CHANGE_PLAYER = "change_player";
	/**
	 * 出力
	 */
	public static final String OUTPUT = "output";
	/**
	 * 検索
	 */
	public static final String SEARCH = "search";
	/**
	 * HTML出力
	 */
	public static final String OUTPUT_HTML = "output_html";
	/**
	 * OpenOffice形式出力
	 */
	public static final String OUTPUT_OPEN_DOCUMENT = "output_open_document";
	/**
	 * 実行
	 */
	public static final String SUBMIT = "submit";
	public static final String SEL_CHANGE_TEAM_COMBO = "sel_change_team_combo";
	public static final String SEL_CHANGE_RANKING_TYPE = "sel_change_ranking_type";
	public static final String OUTPUT_PIEGRAPH = "output_piegraph";
	public static final String OUTPUT_HISTGRAPH = "output_histgraph";
  public static final String SEL_ALL = "sel_all";
  public static final String SEL_CLEAR = "sel_clear";
  public static final String OUTPUT_BARGRAPH = "output_bargraph";
	
	
	/**
	 * コンストラクタ
	 */
	private CMD() {
		super();
	}


	/**
	 * ADD かどうか
	 * @param cmd
	 * @return
	 */
	public static boolean isADD(String cmd) {
		return ADD.equals(cmd);
	}

	/**
	 * EDIT かどうか
	 * @param cmd
	 * @return
	 */
	public static boolean isEdit(String cmd) {
		return EDIT.equals(cmd);
	}

	/**
	 * DELかどうか
	 * @param cmd
	 * @return
	 */
	public static boolean isDelete(String cmd) {
		return DEL.equals(cmd);
	}

	/**
	 * "comboBoxChanged"かどうか
	 * @param cmd
	 * @return
	 */
	public static boolean isComboboxChanged(String cmd) {
		return "comboBoxChanged".equals(cmd);
	}

	/**
	 * OKかどうか
	 * @param cmd
	 * @return
	 */
	public static boolean isOk(String cmd) {
		return OK.equals(cmd);
	}
}
