/**
 * VBScore
 * create date 2006/09/04
 * amonden
 */
package jp.co.powerbeans.vbscore.logic;

import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.MsgSwt;
import jp.co.powerbeans.vbscore.db.DBManager;
import jp.co.powerbeans.vbscore.model.License;

/**
 * ライセンス管理を行う
 * @author amonden
 * @create date 2006/09/04
 */
public final class LicenseMgr {

	
	/**
	 * ライセンス登録済みフラグ. true = 登録済み, false = 未登録
	 */
	private static boolean ok;

	/**
	 * ライセンスチェック. ライセンス未登録の場合は NotLicensedRuntimeException をスロー
	 * @throws NotLicensedRuntimeException 
	 */
	public static void checkLicense() throws NotLicensedRuntimeException {
		if (!hasLicense()) {
			MsgSwt.warnNotLicensed();
			throw new NotLicensedRuntimeException();
		}
	}

	/**
	 * ライセンスチェック.
	 * @return true ライセンス登録済み, false 未登録
	 */
	public static boolean hasLicense() throws NotLicensedRuntimeException {
		if (!ok) {
		
			// DBから取得
			License license = null;
			try {
				License[] ls = (License[]) DBManager.findByAll(License.class);
				if (ls.length > 0) {
					license = ls[0];
				}
			} catch (RuntimeException e) {
			}			
			
			// プロパティ値と一緒の場合はok
			ok = (license != null && license.getKey().equals(Msg.getCheckKey()));
		}
		return ok;
	}

}
