package jp.co.powerbeans.vbscore.logic.ranking;

import java.util.Date;

import jp.co.powerbeans.vbscore.model.Game;
import jp.co.powerbeans.vbscore.model.PlayerRanking;

/**
 * ランキングアナライザーIF.
 * 各ランキングアナライザー毎にこのIFをimplementsすること
 * @author amonden
 */
public interface RankingAnalyzer {

	/**
	 * 分析検索メソッド.各アナライザ毎のパラメターの相違点は
	 * メソッド内で吸収する.
	 * @param team_id チームID
	 * @param from_dt 開始日
	 * @param to_dt 終了日
	 * @return 検索結果
	 */
	PlayerRanking[] analyze(int team_id, Date from_dt, Date to_dt);

	PlayerRanking[] analyze(int team_id, Game[] games, Date from_dt, Date to_dt);

}
