package jp.co.powerbeans.vbscore.logic.ranking;

import java.util.Date;

import jp.co.powerbeans.vbscore.model.ActionDef;
import jp.co.powerbeans.vbscore.model.ActionResultDef;
import jp.co.powerbeans.vbscore.model.Game;
import jp.co.powerbeans.vbscore.model.PlayerRanking;
import jp.co.powerbeans.vbscore.model.RankingDef;

/**
 * サーブカット率アナライザ.
 * ナイスサーブカット / サーブカット の割合を表示.
 * @author amonden
 */
public class ServCutAnalyzer extends AnalyzerBase {

	/**
	 * コンストラクタ
	 * @param ranking_def
	 */
	public ServCutAnalyzer(RankingDef ranking_def) {
		super(ranking_def);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.logic.ranking.RankingAnalyzer#analyze(int, jp.co.powerbeans.vbscore.model.Game[], java.util.Date, java.util.Date)
	 */
	public PlayerRanking[] analyze(int team_id, Game[] games, Date from_dt, Date to_dt) {
		// action = サーブカット
		// action result = ナイスサーブカット
		return analyze(team_id, games, from_dt, to_dt,  ActionDef.SERV_CUT, ActionResultDef.SERV_CUT_GOOD);
	}
	
	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.logic.ranking.RankingAnalyzer#analyze(int, java.util.Date, java.util.Date)
	 */
	public PlayerRanking[] analyze(int team_id, Date from_dt, Date to_dt) {
		// action = サーブカット
		// action result = ナイスサーブカット
		return analyze(team_id, from_dt, to_dt,  ActionDef.SERV_CUT, ActionResultDef.SERV_CUT_GOOD);
	}

}
