package jp.co.powerbeans.vbscore.logic.ranking;

import java.util.Date;

import jp.co.powerbeans.vbscore.model.ActionDef;
import jp.co.powerbeans.vbscore.model.ActionResultDef;
import jp.co.powerbeans.vbscore.model.Game;
import jp.co.powerbeans.vbscore.model.PlayerRanking;
import jp.co.powerbeans.vbscore.model.RankingDef;

/**
 * スパイク数アナライザ.
 * スパイク数を表示.
 * @author amonden
 */
public class SpikeNumAnalyzer extends AnalyzerBase {

	/**
	 * コンストラクタ
	 * @param ranking_def
	 */
	public SpikeNumAnalyzer(RankingDef ranking_def) {
		super(ranking_def);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.logic.ranking.RankingAnalyzer#analyze(int, java.util.Date, java.util.Date)
	 */
	public PlayerRanking[] analyze(int team_id, Date from_dt, Date to_dt) {
		return analyze(team_id, null, from_dt, to_dt);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.logic.ranking.RankingAnalyzer#analyze(int, jp.co.powerbeans.vbscore.model.Game[], java.util.Date, java.util.Date)
	 */
	public PlayerRanking[] analyze(int team_id, Game[] games, Date from_dt, Date to_dt) {
		PlayerRanking[] ranks = analyze(team_id, games, from_dt, to_dt,  ActionDef.SPIKE, ActionResultDef.SPIKE_NUM);
		
		// % が すべて 100 なので - にする
		for (int i = 0; i < ranks.length; i++) {
			ranks[i].setPser("-");
		}
		
		return ranks;
	}

}
