package jp.co.powerbeans.vbscore.model;




/**
 * Gameにチーム名を追加したモデル
 * @author amonden
 *
 */
public class GameTeams extends Game {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -106533339739397570L;
	/**
	 * Gameテーブルからチーム名付で検索するSQL
	 */
	public static final String SQL = "" +
			"select " +
			" gameId,myTeamId,vsTeamId,maxSet,place,gameName,compeName,gameDate,gameStatus," +
			" MT.teamName myTeamId_teamName, VS.teamName vsTeamId_teamName " +
			"from " +
			" Game G, Team MT, Team VS " +
			"where" +
			" G.myTeamId = MT.teamId" +
			" AND G.vsTeamId = VS.teamId ";
			
	/**
	 * 自チーム名
	 */
	private String myTeamId_teamName;
	/**
	 * 対戦チーム名
	 */
	private String vsTeamId_teamName;
	/**
	 * @return myTeamId_teamName を戻します。
	 */
	public String getMyTeamId_teamName() {
		return myTeamId_teamName;
	}
	/**
	 * @param myTeamId_teamName 設定する myTeamId_teamName。
	 */
	public void setMyTeamId_teamName(String myTeamId_teamName) {
		this.myTeamId_teamName = myTeamId_teamName;
	}
	/**
	 * @return vsTeamId_teamName を戻します。
	 */
	public String getVsTeamId_teamName() {
		return vsTeamId_teamName;
	}
	/**
	 * @param vsTeamId_teamName 設定する vsTeamId_teamName。
	 */
	public void setVsTeamId_teamName(String vsTeamId_teamName) {
		this.vsTeamId_teamName = vsTeamId_teamName;
	}
}
