package jp.co.powerbeans.vbscore.swt;

import jp.co.powerbeans.vbscore.CMD;
import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.MsgSwt;
import jp.co.powerbeans.vbscore.db.DBManager;
import jp.co.powerbeans.vbscore.logic.LicenseMgr;
import jp.co.powerbeans.vbscore.model.License;

import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

/**
 * バージョン情報ダイアログ.
 * @author amonden
 *
 */
public class VersionInfoSwt extends PBSwt {

	/**
	 * ウィンドウ幅
	 */
	static final int WINDOW_WIDTH = 250;
	/**
	 * ウィンドウ高さ
	 */
	static final int WINDOW_HEIGTH = 200;

	/**
	 * タイトル
	 */
	private static final String TITLE = Msg.getTeamList();
	/**
	 * ライセンスキーテキスト
	 */
	private Text key;

	/**
	 * コンストラクタ
	 */
	public VersionInfoSwt() {
		super();
		initialize();
	}	
	
	/**
	 * 初期化
	 */
	private void initialize() {
		createSShell(TITLE, WINDOW_WIDTH, WINDOW_HEIGTH, true);
		setGridLayout(2);
		createItemes();
	}

	/**
	 * 項目作成
	 */
	private void createItemes() {
		// Application Name
		addLabel("  About ");
		addLabel_left(Msg.getAppNameLong());

		addLabel("Version ");
		addLabel_left(Msg.getAppVersion());
		

		addLabel(" Author ");
		addLabel_left(Msg.getAuthor());
		
		addLabel("     HP ");
//		Label hplabel = addLabel_left(Msg.getAuthorHP());
		// TODO マウスカーソルをリンクなどに
		// TODO クリック時にURLを開く > ボタンにする?
//		hplabel.setCursor(Cursor.win32_new(this.sShell.getDisplay().getDismissalAlignment(), null));
		
		
		addLabel(" E-mail ");
		addLabel_left(Msg.getAuthorEmail());

		addLabel();
		addOKButton();
		
		if(!LicenseMgr.hasLicense()) {
			addLabel(Msg.getLicenseKey());
			this.key = addTextBox("key");
			addLabel();
			addSimpleButton(Msg.getLicenseRegist(), CMD.SUBMIT);
		} else {
			addLabel();
			addLabel(Msg.getAlreadyLicenseRegist());
		}
		
	}
	
	/**
	 * ライセンス登録実行
	 */
	public void cmdSubmit() {
		// 1. 登録チェック
		String lkey = key.getText();
		if (lkey == null || !lkey.equals(Msg.getCheckKey())) {
			MsgSwt.warn(Msg.getInvalidLicenseKey());
			this.key.forceFocus();
			return;
		}
		
		// 2. DBへ登録
		DBManager.removeByAll(License.class);
		
		License l = new License();
		l.setKey(lkey);
		DBManager.insert(l);
		
		MsgSwt.warn(Msg.getSubmited());
		cmdOk();
	}

}
