package jp.co.powerbeans.vbscore.swt.chart;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Frame;
import java.awt.Panel;

import jp.co.powerbeans.common.chart.ChartUtil;
import jp.co.powerbeans.common.swt.PBComposite;
import jp.co.powerbeans.common.swt.PBControlUtil;
import jp.co.powerbeans.vbscore.db.DBUtil;

import org.eclipse.swt.SWT;
import org.eclipse.swt.awt.SWT_AWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Table;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;

/**
 * データテーブルを表示するなMiniPeiChartTableComposite.
 * @author amonden
 *
 */
public class MiniPieChartTableComposite extends PBComposite {

	private Table table;

	/**
	 * コンストラクタ
	 * @param comp 親composite
	 * @param objs データリスト（col_nameプロパティ名でソート済みであること)
	 * @param name_prop グラフ表示対象プロパティ名
	 * @param cols テーブル列名
	 * @param wids テーブル列幅
	 */
	public MiniPieChartTableComposite(Composite comp, Object[] objs, String name_prop, String val_prop, String[] cols, int[] wids, String title) {
		super(comp, SWT.NO_FOCUS | SWT.EMBEDDED);
		
		// ２列コンポジットを作成
		Composite comp2 = PBControlUtil.createNRow2ColComposit(comp);
//		Composite comp2 = PBControlUtil.createNRow2ColComposit(comp);

		// テーブルを作成 ----
		this.table = PBControlUtil.createSimpleTable(comp2,cols,wids, 150);
		// テーブルにデータを表示
		DBUtil.modelsToSwtTable(this.table, objs, cols);
		
		// チャートを作成 ----
		// フレームを作成
		Frame graphFrame = SWT_AWT.new_Frame(comp2);
		// パネルを作成
		Panel panel = new Panel(new BorderLayout());
		// チャートを作成
		final JFreeChart chart = ChartUtil.createPieChartByBeans(title, objs, name_prop, val_prop);
//		final JFreeChart chart = createChart(dataset);
		final ChartPanel chartPanel = new ChartPanel(chart);
		chartPanel.setBackground(Color.BLACK);

		// パネルにチャートを追加
		panel.add(chartPanel);
		
		// フレームにパネルを追加
		graphFrame.setBackground(Color.GRAY);
		graphFrame.add(panel);
	}


//	/**
//     * Creates a sample dataset.
//     * 
//     * @return A sample dataset.
//     */
//    private static PieDataset createDataset() {
//        DefaultPieDataset dataset = new DefaultPieDataset();
//        dataset.setValue("One", new Double(43.2));
//        dataset.setValue("Two", new Double(10.0));
//        dataset.setValue("Three", new Double(27.5));
//        dataset.setValue("Four", new Double(17.5));
//        dataset.setValue("Five", new Double(11.0));
//        dataset.setValue("Six", new Double(19.4));
//        return dataset;        
//    }
//    
//    
//    /**
//     * Creates a chart.
//     * 
//     * @param dataset  the dataset.
//     * 
//     * @return A chart.
//     */
//    private static JFreeChart createChart(PieDataset dataset) {
//        
//        JFreeChart chart = ChartFactory.createPieChart(
//            "Pie Chart Demo 1",  // chart title
//            dataset,             // data
//            true,               // include legend
//            true,
//            true
//        );
//
//        PiePlot plot = (PiePlot) chart.getPlot();
//        plot.setSectionOutlinesVisible(false);
//        plot.setLabelFont(new Font("SansSerif", Font.PLAIN, 12));
//        plot.setNoDataMessage("No data available");
//        plot.setCircular(false);
//        plot.setLabelGap(0.02);
//        return chart;
//    }
}
