package jp.co.powerbeans.vbscore.swt.parts;

import jp.co.powerbeans.common.swt.ChkConvSwt;
import jp.co.powerbeans.common.swt.PBComposite;
import jp.co.powerbeans.common.swt.PBControlUtil;
import jp.co.powerbeans.vbscore.CMD;
import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.db.DBManager;
import jp.co.powerbeans.vbscore.logic.VBConst;
import jp.co.powerbeans.vbscore.model.Player;
import jp.co.powerbeans.vbscore.model.Team;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Table;


/**
 * コートキャンバス用のプレイヤー選択リストComposit
 * @author amonden
 */
public class PlayerListCoartComposit extends PBComposite {

	/**
	 * プレイヤーリスト
	 */
	private Table playerTable;
	/**
	 * コートキャンバス
	 */
	private CoartCanvas coart;
	/**
	 * チーム
	 */
	private Team team;
	/**
	 * 戻るボタン
	 */
	private Button backButton;

	/**
	 * コンストラクタ
	 * @param shell 親shell
	 * @param team チーム
	 */
	public PlayerListCoartComposit(Shell shell, Team team) {
		super(shell, SWT.NO_FOCUS);
		this.team = team;
		
		setLayout(new GridLayout(1, true));
		GridData compGrid = new GridData();
		compGrid.horizontalAlignment = GridData.FILL;
		compGrid.verticalAlignment = GridData.FILL;
		compGrid.grabExcessHorizontalSpace = true;
		compGrid.grabExcessVerticalSpace = true;
		compGrid.heightHint = 200;
		setLayoutData(compGrid);
		setBackground(new Color(getDisplay(), 255, 255, 255));
		
		// 選手リストを追加
		this.playerTable = PBControlUtil.createSimpleTable(this, new String[]{Msg.getId(), Msg.getFullname(), Msg.getPositionShort(), Msg.getNo()}, new int[]{30,60, 70, 20}, 200);
		DBManager.findByToSwtTable(this.playerTable, Player.class, new String[]{"playerId", "playerName", "posit", "stdNumber"}, "teamId = " + this.team.getTeamId());
		PBControlUtil.addRow(this.playerTable, new String[]{"" + VBConst.DUMMY_PLAYER_ID, Msg.getDummy(), "-", "-"});
		
		setCmdToTableOnSingleClick(this.playerTable, CMD.SEL1ROW);
		
		this.backButton = PBControlUtil.createSimpleButton(this, Msg.getBack(), CMD.BACK);
		
		// コートキャンバスを追加
		this.coart = new CoartCanvas(this);
	}
	
	/**
	 * 1行クリック時
	 */
	public void cmdSel1row() {
		Player m = (Player) ChkConvSwt.getSelectObject(this.playerTable);
		if (m == null) {
			m = new Player();
			m.setPlayerId(VBConst.DUMMY_PLAYER_ID);
			m.setPlayerName(Msg.getDummy());
			m.setPosit("-");
			m.setStdNumber("-");
		}
		this.coart.addPlayer(m);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.swt.parts.CoartCanvas#isMaxPlayer()
	 */
	public boolean isMaxPlayer() {
		return coart.isMaxPlayer();
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.swt.parts.CoartCanvas#getPlayerList()
	 */
	public Player[] getPlayerList() {
		return coart.getPlayerList();
	}
	
	/**
	 * 戻るボタン選択時
	 */
	public void cmdBack() {
		this.coart.removeLastPlayer();
	}
}
