package jp.co.powerbeans.vbscore.swt.parts;

import jp.co.powerbeans.common.swt.PBComposite;
import jp.co.powerbeans.common.swt.PBControlUtil;
import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.db.DBManager;
import jp.co.powerbeans.vbscore.model.Team;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;


/**
 * チーム検索用Composit.
 * チーム検索条件と検索結果を一覧表示する
 * @author amonden
 */
public class TeamSearchComposit extends PBComposite {

	private static final int COLS = 4;
	private Combo teamCombo;
	private Text fromDate;
	private Text toDate;
	private GameMiniTableComposit gameTable;
	
	/**
	 * コンストラクタ
	 * @param shell 親shell
	 * @param team チーム
	 */
	public TeamSearchComposit(Shell shell) {
		super(shell, SWT.NO_FOCUS);
		
		setLayout(new GridLayout(COLS, true));
		GridData compGrid = new GridData();
		compGrid.horizontalAlignment = GridData.BEGINNING;
		compGrid.verticalAlignment = GridData.FILL;
		compGrid.grabExcessHorizontalSpace = false;
		compGrid.grabExcessVerticalSpace = false;
		compGrid.heightHint = 300;
//		compGrid.widthHint = 300;
		setLayoutData(compGrid);
		setBackground(new Color(getDisplay(), 255, 255, 255));
		
		// チーム選択コンボ
		PBControlUtil.createLabel_left(this, Msg.getTargetTeam());
		this.teamCombo = PBControlUtil.createComboBoxReadOnly(this, SWT.LEFT);
		DBManager.findByAllToSwtComboBox(teamCombo, Team.class, "teamName");
		PBControlUtil.createLabelEmpty(this, 2);
		
		// 日付
		PBControlUtil.createLabel_left(this, Msg.getTargetGameDateSpan());
		this.fromDate = PBControlUtil.addTextBox(this);
		PBControlUtil.createLabel_hvcenter(this, "～");
		this.toDate = PBControlUtil.addTextBox(this);
		
		// 検索結果テーブル
		createGameTable();
		
//		addLabels(1, COLS_WIDTH);
//		addSimpleButton(" 検索 ", CMD.SEARCH);
//		addLabels(2, COLS_WIDTH);


	}
	
	/**
	 * gameTable作成
	 */
	private void createGameTable() {
		if (this.gameTable == null) {
			this.gameTable = new GameMiniTableComposit(this, COLS);
		}
	}
}
